#ifndef MATERIAL_H
#define MATERIAL_H

#include <stdio.h>
#include <Common.h>
#include <QGLShaderProgram>


class Material
{

public:
    Material();
    Material(vec4 ambient, vec4 difus, vec4 especular, float s);
    void toGPU(QGLShaderProgram *program,
               const char * ambient,
               const char * difus,
               const char * especular,
               const char * shininessCoef);
    vec4 getAmbient();
    vec4 getDifusa();
    vec4 getEspecular();
    float getShininess();


private:

    vec4 component_ambient; //Ka
    vec4 component_difusa; //Kd
    vec4 component_especular; //Ks

    float shininess; //coef especular



};


#endif // MATERIAL_H
